<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

get_header(); ?>
<div class="container-fluid">
<div class="row-fluid">
<div id="entry_wrapper">
<div class="video_entry">
<?php 
$widgetArgs = array("before_widget"=> '<li class="widget-container">'
                   ,"after_widget"	=> "</li>"
                   ,"before_title"	=> "<h3 class=\"widget-title\">"
                   ,"after_title"	=> "</h3>");
?>	
<h1><?php _e( 'This is somewhat embarrassing, isn&rsquo;t it?', 'twentyeleven' ); ?></h1>
<div id="widgets_404">
  <p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching, or one of the links below, can help.', 'twentyeleven' ); ?></p>
  <ul>
<?php the_widget( 'WP_Widget_Recent_Posts', array( 'number' => 10 ), $widgetArgs ); ?>
  <li class="widget-container">
	 <h3 class="widget-title"><?php _e( 'Most Used Categories', 'twentyeleven' ); ?></h3>
	 <ul><?php wp_list_categories( array( 'orderby' => 'count', 'order' => 'DESC', 'show_count' => 1, 'title_li' => '', 'number' => 10 ) ); ?></ul>
  </li>
<?php the_widget( 'WP_Widget_Tag_Cloud','',$widgetArgs ); ?>
</ul>
</div>
</div>
</div>
</div>
</div>
<?php get_footer(); ?>