<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php imwb_videopress_get_blogtitle(); ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link href="https://fonts.googleapis.com/css?family=Raleway:300,400,500,600,700" rel="stylesheet">
<?php
   $favicon = imwb_videopress_get_option('faviconurl');
   if(empty($favicon))
      echo '<link rel="Shortcut Icon" href="'.get_template_directory_uri().'/images/favicon.ico" type="image/x-icon" />';
   else
      echo '<link rel="Shortcut Icon" href="'.$favicon.'" type="image/x-icon" />';
?>
<?php
   wp_head();
   if(is_single()) {
?>
   <link href="<?php echo get_template_directory_uri(); ?>/assets/video-js.css" rel="stylesheet">
   <script src="<?php echo get_template_directory_uri(); ?>/assets/video.min.js"></script>
<?php
   imwb_videopress_inc_views();
} ?>
<script src="<?php echo get_template_directory_uri(); ?>/assets/jRating.jquery.min.js"></script>
<script>
jQuery(document).ready(function($) {
   $(".rating").jRating({phpPath: imwbvp_ajaxurl,bigStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/stars.png',smallStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/small.png',type:  <?php echo is_single() ? "'big'" : "'small'"; ?>,length : 5,rateMax : 5,step: true, <?php if(!is_single()) { ?> isDisabled: true, <?php } ?> showRateInfo:false});
   $(".widget_rating").jRating({phpPath: imwbvp_ajaxurl,bigStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/stars.png',smallStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/small.png',type: 'small',length : 5,rateMax : 5,step: true,isDisabled: true,showRateInfo:false});
<?php if((is_home() || is_category() || is_search() || is_archive()) && imwb_videopress_get_option('homesidebar') != '0') { ?>
function imwb_adjust_sidebar() {
  var postHeight = $('.video').eq(1).outerHeight();
  var marginBottom = parseInt($('.video').eq(1).css('marginBottom'));
  var sidebarHeight = $('#content_sidebar').outerHeight();
  if(sidebarHeight < postHeight){
     adjHeight = postHeight;
  } else {
     postHeight += marginBottom;
     var rowsSpanned = Math.ceil(sidebarHeight / postHeight);
     var adjHeight = Math.ceil(rowsSpanned *  postHeight);
     adjHeight -= marginBottom;
  }
  $('#content_sidebar').css('height', adjHeight);
}

function imwb_adjust_wrapper() {

   if (!$('#content_sidebar').is(':visible'))
      return;

   var bWidth = $('body').outerWidth();
   var sWidth = $('#content_sidebar').outerWidth();
   var pWidth = $('.video').outerWidth() + 8;
   var wWidth = bWidth - 40 - sWidth;
   var nCols = Math.floor(wWidth / pWidth);
   nCols = Math.max( nCols, 1 );

   var nwWidth = pWidth*nCols+sWidth;
   $('#videos_wrapper').css('width', nwWidth);
   $('#pagination_wrapper').css('width', nwWidth);
}

imwb_adjust_wrapper();
imwb_adjust_sidebar();

$(window).smartresize(function(){
   imwb_adjust_wrapper();
   imwb_adjust_sidebar();
});
<?php } ?>
<?php if(is_home() || is_category() || is_search() || is_archive()) { ?>
$('a.cvp-ctr-track').on('click', function(event) {
   var btn = this;
   var data = { action :'update_ctr_action', postid: $(btn).attr('data-post-item'), nonce : '<?php echo wp_create_nonce( "imwb_videopress_update_ctr" );?>'};
   $.ajax({async: true, type: 'POST', url: '<?php echo admin_url( "admin-ajax.php" );?>', data: data,  dataType: 'json'});
});
<?php } ?>
<?php if((is_single() && imwb_videopress_get_option('postsidebar') == !'0') || (is_page() && imwb_videopress_get_option('pagesidebar') == !'0')) { ?>
render_sidebar();
});
   var render_sidebar = function() {
     var cHeight = jQuery('.video_entry').outerHeight();
     var sHeight = jQuery('#post-sidebar').outerHeight();
     if(cHeight > sHeight) jQuery('#post-sidebar').css('height', cHeight);
   }
<?php } else { ?>
});
  var render_sidebar = function() {}
<?php } ?>
</script>
<script src="<?php echo get_template_directory_uri(); ?>/scripts/script<?php echo MIN_MODE;?>.js" type="text/javascript"></script>
<?php
$pmColors = new CSS_Color(imwb_videopress_get_option('pagemenubgcol'));
$cmColors = new CSS_Color(imwb_videopress_get_option('catmenubgcol'));
$sbColors = new CSS_Color(imwb_videopress_get_option('homesidebarbgcol'));
$cpColors = new CSS_Color(imwb_videopress_get_option('fpcaptionbgcol'));
?>
<style>
<?php if (imwb_videopress_get_option('headerbgcol') != '#') { ?>
#header-wrapper  {background-color: <?php echo imwb_videopress_get_option('headerbgcol'); ?>; }
<?php } ?>
.carousel .caption { background-color:#<?php echo $cpColors->bg[0]; ?>;border: 1px solid #<?php echo $cpColors->bg['-2'] ?>;}
.page-menu { background-color: #<?php echo $pmColors->bg[0]; ?>;}
.page-menu ul li > ul.children, .page-menu ul li > ul.sub-menu { background-color: #<?php echo $pmColors->bg[0]; ?>;border-left: 1px solid #<?php echo $pmColors->bg['-2'] ?>;border-right: 1px solid #<?php echo $pmColors->bg['-2'] ?>;border-bottom: 1px solid #<?php echo $pmColors->bg['-2'] ?>;left: 3px;}
.page-menu li:hover { background-color: #<?php echo $pmColors->bg['-3']; ?>; color: #<?php echo $pmColors->fg['-3']; ?>;}
.page-menu li a {	color: <?php echo imwb_videopress_get_option('pagemenutxtcol'); ?>;}
<?php if (imwb_videopress_get_option('fpbackground') == 'C' && imwb_videopress_get_option('fpbannerbgcol') != '#') { ?>
.carousel.row-fluid{background-color: <?php echo imwb_videopress_get_option('fpbannerbgcol'); ?>; }
<?php }
if (imwb_videopress_get_option('fpbackground') == 'I') {
   if(imwb_videopress_get_option('fpbgimage') == '0') {
?>
.carousel.row-fluid{background-image: url("<?php echo imwb_videopress_get_option('fpbannerbgimg');?>");}
<?php
   }
   else {
?>
.carousel.row-fluid{background-image: url("<?php echo get_template_directory_uri(); ?>/images/videoPressHeader<?php echo imwb_videopress_get_option('fpbgimage');?>.jpg");}
<?php } }?>
#carousel .ca-item h3 a {color: <?php echo imwb_videopress_get_option('fptitlecol'); ?>;}
#carousel .ca-item h3 a:hover {color: <?php echo imwb_videopress_get_option('fptitlehvrcol'); ?>;}

<?php if (imwb_videopress_get_option('homesidebarbgcol') != '#') { ?>
#content_sidebar, #post-sidebar,#widgets_404 {color: <?php echo imwb_videopress_get_option('sidebartextcol'); ?>;background-color: #<?php echo $sbColors->bg[0]; ?>;}
#content_sidebar ul ul li a:hover, #widgets_404 ul ul li a:hover,#post-sidebar ul ul li a:hover{background-color:  #<?php echo $sbColors->bg['-2']; ?>;}
#content_sidebar ul ul li a, #widgets_404 ul ul li a,#post-sidebar ul ul li a { color: #<?php echo $sbColors->fg['0']; ?>;}
<?php }
if (imwb_videopress_get_option('homesidebarbdrcol') != '#') {
?>
#content_sidebar {border: 1px solid <?php echo imwb_videopress_get_option('homesidebarbdrcol'); ?>;}
<?php } ?>
#footer-wrapper  {border-top: 1px solid <?php echo imwb_videopress_get_option('footerbdrcol'); ?>; background-color: <?php echo imwb_videopress_get_option('footerbgcol'); ?>; }

<?php if(imwb_videopress_get_option('hidecatmenu') == 'N')   { ?>
button.categories { background-color: <?php echo imwb_videopress_get_option('catmenutxtcol'); ?>;}
button.categories:hover,button.categories.active, button.categories.active:hover{background-color: #<?php echo $cmColors->bg['-2']; ?>; color: #<?php echo $cmColors->fg['-2']; ?>; }
#navigation { background-color: #<?php echo $cmColors->bg[0]; ?>;}
#navigation > ul li:hover,#navigation > ul li.current-cat { background-color: #<?php echo $cmColors->bg['-2']; ?>; color: #<?php echo $cmColors->fg['-2']; ?>;}
#navigation > ul li a { color: <?php echo imwb_videopress_get_option('catmenutxtcol'); ?>;}
 <?php } ?>
.video_entry { border: 1px solid <?php echo imwb_videopress_get_option('ptcontentbdrcol'); ?>; background-color: <?php echo imwb_videopress_get_option('ptbgcol'); ?>; }

#post-sidebar { border: 1px solid <?php echo imwb_videopress_get_option('ptcontentbdrcol'); ?>;}
#post-sidebar.right {border-left:0px;}
#post-sidebar.left {border-right:0px;}
#navigation li.current-cat a{ font-weight: bold;color: <?php echo imwb_videopress_get_option('catmenuseltxtcol'); ?>;}
.widget-title { background-color: <?php echo imwb_videopress_get_option('widgettitlebgcol'); ?>; color: <?php echo imwb_videopress_get_option('widgettitletxtcol'); ?>;}
.video .title a,.video .title a:visited {  color: <?php echo imwb_videopress_get_option('posttitlecol'); ?>;}
.video .title a:hover { color: <?php echo imwb_videopress_get_option('posttitlehvrcol'); ?>; }
.video{border: 1px solid <?php echo imwb_videopress_get_option('postcontentbdrcol'); ?>;background-color: <?php echo imwb_videopress_get_option('postcontentbgcol'); ?>}
.video .stats {border-top: 1px solid <?php echo imwb_videopress_get_option('postcontentbdrcol'); ?>;}
<?php if(imwb_videopress_get_option('postcontent') == 'C') { ?>
.video { height:  375px;}
.video .description {height: 128px; color: <?php echo imwb_videopress_get_option('postdesccol'); ?>;}
<?php } else {?>
.video { height:  245px;}
<?php }
$header_image = get_header_image();

if ( ! empty( $header_image ) ) {	?>
.site-header hgroup {background: url(<?php echo esc_url($header_image); ?>);background-repeat:no-repeat;background-size:contain;background-position:left;}
<?php }
// Has the text been hidden?
if ( ! display_header_text() ) { ?>
.site-title,.site-description {position: absolute;clip: rect(1px 1px 1px 1px); /* IE7 */	clip: rect(1px, 1px, 1px, 1px);}
<?php } ?>
.site-title,.site-description {color: #<?php echo esc_attr( get_header_textcolor() ); ?>;}
</style>
<?php if(imwb_videopress_get_option('headerscripts') != '')
   echo imwb_videopress_get_option('headerscripts');
?>
</head>
<body <?php body_class(); ?>>
<?php if((imwb_videopress_get_option('lastlcused') == 'F') ||
         (is_single() && (imwb_videopress_get_option('commenttype') == '1' || imwb_videopress_get_option('commenttype') == '2')) ||
         (is_page() && (imwb_videopress_get_option('pgcommenttype') == '1' || imwb_videopress_get_option('pgcommenttype') == '2'))) { ?>
<div id="fb-root"></div>
<script>
window.fbAsyncInit = function() {
  FB.init({appId: '<?php echo imwb_videopress_get_option('fbappid');?>', xfbml: true,version:'v2.0'});
  FB.Event.subscribe('xfbml.render', render_sidebar);
};
(function(d, s, id){
   var js, fjs = d.getElementsByTagName(s)[0];
   if (d.getElementById(id)) {return;}
   js = d.createElement(s); js.id = id;
   js.src = "//connect.facebook.net/en_US/sdk.js";
   fjs.parentNode.insertBefore(js, fjs);
 }(document, 'script', 'facebook-jssdk'));
</script>
<?php } ?>

<div id="header-wrapper" class="container-fluid">
<div class="row-fluid">
   <div id="header" class="clearfix">
      <?php if(imwb_videopress_get_option('hidepagemenu') == 'N') {
         $opts = array('sort_column' => 'menu_order', 'menu_class' => 'page-menu', 'exclude' => imwb_videopress_get_option('excludepages'));
         if(imwb_videopress_get_option('homepagemenu') == 'N')
            $opts['show_home'] = imwb_videopress_get_option('homepagemenutxt');

         if(imwb_videopress_get_option('pagemenutype') == '0')
            wp_page_menu($opts );
         else
            wp_nav_menu( array( 'theme_location' => 'cvp_page_menu', 'container' => 'div', 'container_class' => 'page-menu', 'fallback_cb' => false ) );
       }
      ?>
   <header class="site-header" role="banner">
     <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
     	<hgroup>
     		<h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
     		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
     	</hgroup>
     </a>
   </header>
   </div>
   <div id="navigation">
   <?php if(imwb_videopress_get_option('hidecatmenu') == 'N')   { ?>
    <ul>
    <?php if(imwb_videopress_get_option('ravcatmenu') == 'N')   { ?>
       <li class="cat-item<?php echo (imwb_videopress_list_order() == 'rav' && is_home()) ? ' current-cat' : '';?>">
          <a title="<?php echo imwb_videopress_get_option('ravcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=rav"><?php echo imwb_videopress_get_option('ravcatmenutxt');?></a>
       </li>
    <?php }
       if(imwb_videopress_get_option('mvvcatmenu') == 'N')   { ?>
       <li class="cat-item<?php echo (imwb_videopress_list_order() == 'mvv' && is_home()) ? ' current-cat' : '';?>">
          <a title="<?php echo imwb_videopress_get_option('mvvcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=mvv"><?php echo imwb_videopress_get_option('mvvcatmenutxt');?></a>
       </li>
    <?php }
       if(imwb_videopress_get_option('trvcatmenu') == 'N')   { ?>
          <li class="cat-item<?php echo (imwb_videopress_list_order() == 'trv' && is_home()) ? ' current-cat' : '';?>">
             <a title="<?php echo imwb_videopress_get_option('trvcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=trv"><?php echo imwb_videopress_get_option('trvcatmenutxt');?></a>
          </li>
    <?php }
       if(imwb_videopress_get_option('tdvcatmenu') == 'N')   { ?>
          <li class="cat-item<?php echo (imwb_videopress_list_order() == 'tdv' && is_home()) ? ' current-cat' : '';?>">
             <a title="<?php echo imwb_videopress_get_option('tdvcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=tdv"><?php echo imwb_videopress_get_option('tdvcatmenutxt');?></a>
          </li>
    <?php } ?>

    </ul>
    <?php  if(imwb_videopress_get_option('othercatmenu') == 'N')   { ?>
    <button class="categories"><em></em></button>
    <div class="categories dropdown hidden">
    <span class="caret"></span>
    <div class="cat-list clearfix">
     <ul>
   <?php
      $currentcategory = Array();
      if (is_single()){
        $cat = get_the_category();
        $catId = $cat[0]->cat_ID;
        $currentcategory = Array('current_category' => $catId);
      }
      imwb_wp_list_categories(array_merge(array('hide_empty'=>1, 'depth'=>0, 'orderby'=>'name', 'use_desc_for_title'=>1,'title_li'=> ''), $currentcategory)); ?>
    </ul>
   </div>
   </div>
 <?php } ?>
<?php } ?>
<?php if(imwb_videopress_get_option('hidesearch') == 'N') { ?>
  <div id="search"> <?php get_search_form(); ?> </div>
<?php } ?>
   </div>
</div>
</div>
<div class="container-fluid">
<?php  if((is_home() && imwb_videopress_get_option('showrotatorhp') == 'Y')  ||
          (is_single() && imwb_videopress_get_option('showrotatorsp') == 'Y') ||
          (is_page() && imwb_videopress_get_option('showrotatorpg') == 'Y') ||
          ((is_search() || is_archive()) && imwb_videopress_get_option('showrotatorap') == 'Y')) { ?>
<div class="carousel row-fluid">
 <div id="carousel">
<?php

   do_action('covert_context_stop_ads');

   if(imwb_videopress_get_option('fplistorder') == '0') {
     $args = Array('posts_per_page' => imwb_videopress_get_option('postsperrotator'),
                   'orderby' => 'date',
                   'order' => 'DESC');
     $rotatorTitle = imwb_videopress_get_option('ravcatmenutitle');
   }
   else if(imwb_videopress_get_option('fplistorder') == '1') {
     add_filter('get_meta_sql', 'imwb_videopress_rotator_meta_sql');
     $args = Array('meta_key' => '_imwb_videopress_post_video_rating',
                   'orderby' => 'meta_value_num',
                   'order' => 'DESC',
                   'posts_per_page' => imwb_videopress_get_option('postsperrotator'));

      $rotatorTitle = imwb_videopress_get_option('trvcatmenutitle');
   }
   else if(imwb_videopress_get_option('fplistorder') == '2') {
     add_filter('get_meta_sql', 'imwb_videopress_rotator_meta_sql');
     $args = Array('meta_key' => '_imwb_videopress_post_video_views',
                   'orderby' => 'meta_value_num',
                   'order' => 'DESC',
                   'posts_per_page' => imwb_videopress_get_option('postsperrotator'));

      $rotatorTitle = imwb_videopress_get_option('mvvcatmenutitle');
   }
   else if(imwb_videopress_get_option('fplistorder') == '3') {
     add_filter('get_meta_sql', 'imwb_videopress_rotator_meta_sql');
     $args = Array('meta_key' => '_imwb_videopress_post_video_ctr',
                   'orderby' => 'meta_value_num',
                   'order' => 'DESC',
                   'posts_per_page' => imwb_videopress_get_option('postsperrotator'));

      $rotatorTitle = imwb_videopress_get_option('tdvcatmenutitle');
   }

   $fpexcludecats = imwb_videopress_get_option('fpexcludecats');
   if(!empty($fpexcludecats)) {
      $cats = explode(",", htmlspecialchars(imwb_videopress_get_option('fpexcludecats')) );
      foreach ($cats as $key => $value) {
         $cats[$key] = "-".$value;
      }
      $args = array_merge($args, Array('cat' => implode(',', $cats)));
   }
   $carousel_query = new WP_Query($args);
   $i=1;
?>
<div class="ca-wrapper">
<?php
   while ($carousel_query->have_posts()) { $carousel_query->the_post(); ?>

      <div class="ca-item ca-item-<?php echo $i++;?>" data-post-item="<?php echo get_the_ID(); ?>">
        <div class="ca-item-main">
          <div class="ca-item-main-img">
             <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" <?php echo (imwb_videopress_get_option('videothumbnw') == 'Y' ? ' target="_blank"' : '')?>><?php imwb_videopress_the_post_thumbnail(get_the_ID(), '100%', '100%' ); ?></a>
           </div>
           <h3><a class="cvp-ctr-track" data-post-item='<?php echo get_the_ID(); ?>' href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
        </div>
      </div>
  <?php }
  wp_reset_postdata();
  ?>
  </div>
 </div>
</div>
<?php
   do_action('covert_context_start_ads');
}
?>
</div>
