jQuery(document).ready(function($) {

   $('.wizzard-step').show();
   $(".wizzard-watch-vid >a").VideoPopup();

   $('a.imwb-nav-tab').on('click', function(event) {

      event.preventDefault();

      if($(this).hasClass('imwb-nav-tab-active'))
         return false;

      // set the current variation number
      IMWB_ZP_Ads.curAdNum = $(this).attr( 'href' ).split('_')[2];

      $('.imwb-nav-tab-wrapper a.imwb-nav-tab-active').removeClass('imwb-nav-tab-active');
      $(this).addClass('imwb-nav-tab-active');

      //  Update title and content fields
      $('input[name=imwbvideopressAd_TitleFld]').val($('input[name=imwbvideopressAd_Title\\['+IMWB_ZP_Ads.curAdNum+'\\]]').val());
      $('textarea[name=imwbvideopressAd_ContentFld]').val($('textarea[name=imwbvideopressAd_Content\\['+IMWB_ZP_Ads.curAdNum+'\\]]').val());

      return false;
   });

   $('input[name=imwbvideopressAd_TitleFld]').on('keyup change blur paste propertychange input', function(){
      $('input[name=imwbvideopressAd_Title\\['+IMWB_ZP_Ads.curAdNum+'\\]]').val($(this).val());
   });

   $('textarea[name=imwbvideopressAd_ContentFld]').on('keyup change blur paste propertychange input', function(){
      var updText = $(this).val();
      $('textarea[name=imwbvideopressAd_Content\\['+IMWB_ZP_Ads.curAdNum+'\\]]').val(updText);
   });

   $('select[name="imwb_videopress_theme_ads[numads]"]').change(function(){
      var numAds = $(this).val();
      if(numAds === 0)
         $('#zp-ads-wrapper').hide();
      else {
         for(var i = 1; i <= 5; i++) {
            if(i <= numAds)
               $('#zp_ad_'+i).removeClass('hidden');
            else
               $('#zp_ad_'+i).addClass('hidden');
         }

         $('#zp-ads-wrapper').show();
      }
      if(numAds < $('input[name="imwb_videopress_theme_ads[adsperpage]"]').val())
         $('input[name="imwb_videopress_theme_ads[adsperpage]"]').val(numAds);
   });

   $('input[name="imwb_videopress_theme_ads[adsperpage]"]').on('change blur', function(){
      var numAds = $('select[name="imwb_videopress_theme_ads[numads]"]').val();
      if($(this).val() > numAds) {
         $(this).val(numAds);
         $(this).next('#error-msg').show().html('You entered more ads than you are using').fadeOut(4000);
      }
   });

   $('input[name="imwb_videopress_theme_ads[postsshownfrom]"]').on('blur', function(){
      var toFld = $('input[name="imwb_videopress_theme_ads[postsshownto]"]').val();
      if($(this).val() > toFld) {
         $('input[name="imwb_videopress_theme_ads[postsshownto]"]').val($(this).val());
      }
   });

   $('input[name="imwb_videopress_theme_ads[postsshownto]"]').on('blur', function(){
      var fromFld = $('input[name="imwb_videopress_theme_ads[postsshownfrom]"]').val();
      if($(this).val() < fromFld ) {
         $(this).val(fromFld );
         $(this).nextAll('#error-msg').show().html('You entered a value less than the from field').fadeOut(4000);
      }
   });
});
